## CORBA Interface ILocale

The Locale component contains the attribute for setting/getting the locale name of the client.

### Definition

CORBA Module SASIOMCommon

### ILocale Description

IOM servers can be called by clients from different locales. Setting the client locale allows the server to return messages in the proper language and to properly format numbers, dates, currency, etc.

CORBA Definitions
attribute LocaleName | LocaleName is a read/write string attribute for setting and determining the locale of the client.

Java Classes
ILocaleHelper | Used to manipulate the ILocale type
ILocaleHolder | Used to process the ILocale type as an out parameter

Java Interfaces
ILocale | The Locale component contains the attribute for setting/getting the locale name of the client.

Java Interface ILocale

The Locale component contains the attribute for setting/getting the locale name of the client.

Package com.sas.iom.SASIOMCommon

ILocale Description
IOM servers can be called by clients from different locales. Setting the client locale allows the server to return messages in the proper language and to properly format numbers, dates, currency, etc.

`public interface ILocale
extends org.omg.CORBA.Object`

Method Summary

Java Class ILocaleHelper

public class ILocaleHelper

Description
Implementing class for methods (insert, extract, type, id, read, write, narrow) used to manipulate the ILocale type.

    java.lang.Object
      |
      +--com.sas.iom.SAS.ILocaleHelper

Java Class ILocaleHolder

public class ILocaleHolder

Description
Implementing class for methods (_read, _write, _type) used to process the ILocale type as an out parameter.

    java.lang.Object
      |
      +--com.sas.iom.SAS.ILocaleHolder

CORBA Attribute LocaleName

LocaleName is a read/write string attribute for setting and determining the locale of the client.

Description
Locales may be specifed using POSIX values or using the decimal representation of Windows LCID values.

Usage

Java Method LocaleName

    public java.lang.String LocaleName ();
    public void LocaleName ( java.lang.String LocaleName );